FLANG

Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
Fortran::runtime::io::RealOutputEditingBase Class Reference
Inheritance diagram for Fortran::runtime::io::RealOutputEditingBase:

## Protected Member Functions
| RealOutputEditingBase (IoStatementState &io)
const char * | FormatExponent (int, const DataEdit &edit, int &length)
bool | EmitPrefix (const DataEdit &, std::size_t length, std::size_t width)
bool | EmitSuffix (const DataEdit &)

## Static Protected Member Functions
static bool | IsInfOrNaN (const decimal::ConversionToDecimalResult &res)

## Protected Attributes
IoStatementState & | io_
int | trailingBlanks_ {0}
char | exponent_ [16]

The documentation for this class was generated from the following files:

- runtime/edit-output.h
- runtime/edit-output.cpp